source [file join [file dirname [pwd]] "lib" "jabberlib.tcl"]

package require jabberlib 0.8.1.0

source [file join "source" "iniparse.tcl"]
source [file join "source" "socks.tcl"]

source [file join "source" "combobox.tcl"]
source [file join "source" "notebook.tcl"]
source [file join "source" "spinbutton.tcl"]
source [file join "source" "tree.tcl"]

source [file join "windows.tcl"]
source [file join "procs.tcl"]

catch {namespace import combobox::*}

#Load images

image create photo ionline    -file [file join "pix" "online.ppm"]
image create photo iaway      -file [file join "pix" "away.ppm"]
image create photo iunknown   -file [file join "pix" "unknown.ppm"]
image create photo ioffline   -file [file join "pix" "offline.ppm"]

image create photo imessage   -file [file join "pix" "message.ppm"]
image create photo iurl       -file [file join "pix" "url.ppm"]

#Initialize variables

set jabber(con)    0
set jabber(login)  0
set jabber(create) 0
set jabber(addusr) 0

set user(uname)    [readini "config.ini" account login]
set user(pass)     [readini "config.ini" account pass]
set user(res)      [readini "config.ini" account resource]
set user(serv)     [readini "config.ini" account server]
set user(port)     [readini "config.ini" account port]

set roster(users) ""

#roster(users,$jid)
#roster(group,$username)
#roster(name,$username)
#roster(subsc,$username)
#roster(ask,$username)

#pres(type,$jid/$res)
#pres(status,$jid/$res)
#pres(pri,$jid/$res)
#pres(meta,$jid/$res)
#pres(icon,$jid/$res)
#pres(show,$jid/$res)
#pres(loc,$jid/$res)
#pres(x,$jid/$res)

set pres(stat) "This is my presence"
set pres(pri)  25
set pres(meta) "zABBER/0.8.1"
set pres(icon) "normal"
set pres(show) "offline"
set pres(loc)  ""
set pres(x)    ""


bind Text  <1> {+focus %W}
bind Entry <1> {+focus %W}

wm withdraw .
debugwin
mainwindow

.win.f0.tree bind x <Any-Button> {
	Tree:setselection %W [Tree:labelat %W %x %y]
}

.win.f0.tree bind x <Double-1> {
  set slc [Tree:getselection .win.f0.tree]

  if {[llength $slc] == 3} {
	sendmsgwin [lindex $slc 2]
  } \
  elseif {[llength $slc] == 4} {
	sendmsgwin "[lindex $slc 2]/[lindex $slc 3]"
  }
  unset slc
}
